org.baraza.web

## Class BWebFiles

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.baraza.web.BWebFiles

- All Implemented Interfaces:
    Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

      public class BWebFiles
      extends javax.servlet.http.HttpServlet

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BWebFiles()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(javax.servlet.http.HttpServletRequest request)`
    `void` | `delFile(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
    `void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
    `void` | `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
    `void` | `getFile(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
    `void` | `getWebDavFile(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
    `String` | `importFile(javax.servlet.http.HttpServletRequest request)`
    `String` | `receiveFile(javax.servlet.http.HttpServletRequest request)`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BWebFiles

          public BWebFiles()

  - ### Method Detail

    - #### doPost

          public void doPost(javax.servlet.http.HttpServletRequest request,
                    javax.servlet.http.HttpServletResponse response)

      Overrides:
        `doPost` in class `javax.servlet.http.HttpServlet`

    - #### doGet

          public void doGet(javax.servlet.http.HttpServletRequest request,
                   javax.servlet.http.HttpServletResponse response)

      Overrides:
        `doGet` in class `javax.servlet.http.HttpServlet`

    - #### configure

          public void configure(javax.servlet.http.HttpServletRequest request)

    - #### importFile

          public String importFile(javax.servlet.http.HttpServletRequest request)

    - #### receiveFile

          public String receiveFile(javax.servlet.http.HttpServletRequest request)

    - #### getFile

          public void getFile(javax.servlet.http.HttpServletRequest request,
                     javax.servlet.http.HttpServletResponse response)

    - #### getWebDavFile

          public void getWebDavFile(javax.servlet.http.HttpServletRequest request,
                           javax.servlet.http.HttpServletResponse response)

    - #### delFile

          public void delFile(javax.servlet.http.HttpServletRequest request,
                     javax.servlet.http.HttpServletResponse response)

Copyright © 2016 openBaraza. All Rights Reserved.